Orxonox: orxonox::Mesh Class Reference

# orxonox::Mesh Class Reference

`#include <src/orxonox/tools/Mesh.h>`

List of all members.

## Public Member Functions

bool | getCastShadows () const
Ogre::Entity * | getEntity ()
const std::string & | getName () const
bool | isVisible () const
| Mesh ()
void | setCastShadows (bool bCastShadows)
void | setMeshSource (Ogre::SceneManager *scenemanager, const std::string &file)
void | setVisible (bool bVisible)
| ~Mesh ()

## Private Attributes

bool | bCastShadows_
Ogre::Entity * | entity_
Ogre::SceneManager * | scenemanager_

## Static Private Attributes

static unsigned int | meshCounter_s = 0

## Constructor & Destructor Documentation

orxonox::Mesh::Mesh | ( |  | ) |

References bCastShadows_, and entity_.

orxonox::Mesh::~Mesh | ( |  | ) |

References entity_, and scenemanager_.

## Member Function Documentation

bool orxonox::Mesh::getCastShadows | ( |  | ) | const`[inline]`

Ogre::Entity* orxonox::Mesh::getEntity | ( |  | ) | `[inline]`

Referenced by orxonox::Planet::changedMesh(), orxonox::Model::changedMesh(), orxonox::Planet::init(), orxonox::Model::~Model(), and orxonox::Planet::~Planet().

const std::string & orxonox::Mesh::getName | ( |  | ) | const

References orxonox::BLANKSTRING, and entity_.

bool orxonox::Mesh::isVisible | ( |  | ) | const

References entity_.

void orxonox::Mesh::setCastShadows | ( | bool | bCastShadows | ) |

References bCastShadows_, and entity_.

Referenced by orxonox::Planet::changedShadows(), orxonox::Model::changedShadows(), and orxonox::Planet::init().

void orxonox::Mesh::setMeshSource | ( | Ogre::SceneManager * | scenemanager,
|  | const std::string & | file |
| ) |  |  |

References bCastShadows_, COUT, entity_, meshCounter_s, scenemanager_, and orxonox::GameMode::showsGraphics().

Referenced by orxonox::Planet::changedMesh(), and orxonox::Model::changedMesh().

void orxonox::Mesh::setVisible | ( | bool | bVisible | ) |

References entity_.

Referenced by orxonox::Planet::changedMesh(), orxonox::Model::changedMesh(), orxonox::Planet::changedVisibility(), and orxonox::Model::changedVisibility().

## Member Data Documentation

bool orxonox::Mesh::bCastShadows_`[private]`

Referenced by Mesh(), setCastShadows(), and setMeshSource().

Ogre::Entity* orxonox::Mesh::entity_`[private]`

Referenced by getName(), isVisible(), Mesh(), setCastShadows(), setMeshSource(), setVisible(), and ~Mesh().

unsigned int orxonox::Mesh::meshCounter_s = 0`[static, private]`

Referenced by setMeshSource().

Ogre::SceneManager* orxonox::Mesh::scenemanager_`[private]`

Referenced by setMeshSource(), and ~Mesh().

The documentation for this class was generated from the following files:

- src/orxonox/tools/Mesh.h
- src/orxonox/tools/Mesh.cc